<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:15 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MutualExclusionResource (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MutualExclusionResource (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MutualExclusionResource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html" target="_top">Frames</a></li>
<li><a href="MutualExclusionResource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</div>
<h2 title="Interface MutualExclusionResource" class="title">Interface MutualExclusionResource</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaSharedResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaSharedResource</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwMutualExclusionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SwMutualExclusionResource</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/MutualExclusionResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">MutualExclusionResourceImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/SaSharedResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">SaSharedResourceImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwMutualExclusionResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwMutualExclusionResourceImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">MutualExclusionResource</span>
extends <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Mutual Exclusion Resource</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getProtectKind--"><code><em>Protect Kind</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getCeiling--"><code><em>Ceiling</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getOtherProtectProtocol--"><code><em>Other Protect Protocol</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getScheduler--"><code><em>Scheduler</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getMutualExclusionResource--"><code>GRMPackage.getMutualExclusionResource()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getCeiling--">getCeiling</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Ceiling</b></em>' attribute.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getOtherProtectProtocol--">getOtherProtectProtocol</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Other Protect Protocol</b></em>' attribute.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/ProtectProtocolKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes">ProtectProtocolKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getProtectKind--">getProtectKind</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Protect Kind</b></em>' attribute.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getScheduler--">getScheduler</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Scheduler</b></em>' reference.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#setCeiling-java.lang.String-">setCeiling</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getCeiling--"><code><em>Ceiling</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#setOtherProtectProtocol-java.lang.String-">setOtherProtectProtocol</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getOtherProtectProtocol--"><code><em>Other Protect Protocol</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#setProtectKind-org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes.ProtectProtocolKind-">setProtectKind</a></span>(<a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/ProtectProtocolKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes">ProtectProtocolKind</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getProtectKind--"><code><em>Protect Kind</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#setScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setScheduler</a></span>(<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getScheduler--"><code><em>Scheduler</em></code></a>' reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Resource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></h3>
<code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Classifier--">getBase_Classifier</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_ConnectableElement--">getBase_ConnectableElement</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Lifeline--">getBase_Lifeline</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getResMult--">getResMult</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isActive--">isActive</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isProtected--">isProtected</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_ConnectableElement-org.eclipse.uml2.uml.ConnectableElement-">setBase_ConnectableElement</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Lifeline-org.eclipse.uml2.uml.Lifeline-">setBase_Lifeline</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsActive-boolean-">setIsActive</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsProtected-boolean-">setIsProtected</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setResMult-java.lang.String-">setResMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getProtectKind--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtectKind</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/ProtectProtocolKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes">ProtectProtocolKind</a>&nbsp;getProtectKind()</pre>
<div class="block">Returns the value of the '<em><b>Protect Kind</b></em>' attribute.
 The default value is <code>"PriorityInheritance"</code>.
 The literals are from the enumeration <a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/ProtectProtocolKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes"><code>ProtectProtocolKind</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Protect Kind</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Protect Kind</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/ProtectProtocolKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes"><code>ProtectProtocolKind</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#setProtectKind-org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes.ProtectProtocolKind-"><code>setProtectKind(ProtectProtocolKind)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getMutualExclusionResource_ProtectKind--"><code>GRMPackage.getMutualExclusionResource_ProtectKind()</code></a></dd>
</dl>
</li>
</ul>
<a name="setProtectKind-org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes.ProtectProtocolKind-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProtectKind</h4>
<pre>void&nbsp;setProtectKind(<a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/ProtectProtocolKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes">ProtectProtocolKind</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getProtectKind--"><code><em>Protect Kind</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Protect Kind</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE_Library/GRM_BasicTypes/ProtectProtocolKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes"><code>ProtectProtocolKind</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getProtectKind--"><code>getProtectKind()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCeiling--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCeiling</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCeiling()</pre>
<div class="block">Returns the value of the '<em><b>Ceiling</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Ceiling</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Ceiling</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#setCeiling-java.lang.String-"><code>setCeiling(String)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getMutualExclusionResource_Ceiling--"><code>GRMPackage.getMutualExclusionResource_Ceiling()</code></a></dd>
</dl>
</li>
</ul>
<a name="setCeiling-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCeiling</h4>
<pre>void&nbsp;setCeiling(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getCeiling--"><code><em>Ceiling</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Ceiling</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getCeiling--"><code>getCeiling()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOtherProtectProtocol--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOtherProtectProtocol</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getOtherProtectProtocol()</pre>
<div class="block">Returns the value of the '<em><b>Other Protect Protocol</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Other Protect Protocol</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Other Protect Protocol</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#setOtherProtectProtocol-java.lang.String-"><code>setOtherProtectProtocol(String)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getMutualExclusionResource_OtherProtectProtocol--"><code>GRMPackage.getMutualExclusionResource_OtherProtectProtocol()</code></a></dd>
</dl>
</li>
</ul>
<a name="setOtherProtectProtocol-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOtherProtectProtocol</h4>
<pre>void&nbsp;setOtherProtectProtocol(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getOtherProtectProtocol--"><code><em>Other Protect Protocol</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Other Protect Protocol</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getOtherProtectProtocol--"><code>getOtherProtectProtocol()</code></a></dd>
</dl>
</li>
</ul>
<a name="getScheduler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScheduler</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;getScheduler()</pre>
<div class="block">Returns the value of the '<em><b>Scheduler</b></em>' reference.
 It is bidirectional and its opposite is '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getProtectedSharedResources--"><code><em>Protected Shared Resources</em></code></a>'.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Scheduler</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Scheduler</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#setScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-"><code>setScheduler(Scheduler)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getMutualExclusionResource_Scheduler--"><code>GRMPackage.getMutualExclusionResource_Scheduler()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getProtectedSharedResources--"><code>Scheduler.getProtectedSharedResources()</code></a></dd>
</dl>
</li>
</ul>
<a name="setScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setScheduler</h4>
<pre>void&nbsp;setScheduler(<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getScheduler--"><code><em>Scheduler</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Scheduler</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getScheduler--"><code>getScheduler()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MutualExclusionResource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html" target="_top">Frames</a></li>
<li><a href="MutualExclusionResource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
